Bug 100767 - IPv6 issue: IPv6 Neighbor Discovery
IPv6 issue: IPv6 Neighbor Discovery
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
: 100768 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-07-25 01:18 EDT by Fuchi Hideshi
Modified: 2015-04-19 20:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-05 20:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fj-linux-2.4.21-ipv6-ND-25561.1.patch (2.64 KB, patch)
2005-02-08 20:26 EST, Fuchi Hideshi
no flags Details | Diff

  None (edit)
Description Fuchi Hideshi 2003-07-25 01:18:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Taroon A4 is lacking the processing to change the Neighbor Cache
entry's state from REACHABLE to STALE, when sending a packet,
if the Neighbor Cache exceed 45sec in status REACHABLE, 

RFC2461 provide that following, but Taroon A4 kernel does not have
the processing to change from REACHABLE to STALE.

When ReachableTime milliseconds have passed since receipt of the last
reachability confirmation for a neighbor, the Neighbor Cache entry's
state changes from REACHABLE to STALE.
Comment 1 David Miller 2003-07-25 10:00:06 EDT
Please work with the USAGI project and the public mailing lists
to get this bug discussed and fixed, as basically that is all
I can do with IPV6 bug reports.

Thank you.
Comment 2 Matt Wilson 2003-07-28 12:56:59 EDT
*** Bug 100768 has been marked as a duplicate of this bug. ***
Comment 11 David Miller 2005-10-05 19:26:35 EDT
I think it is not appropriate to merge in a fix for something which is
purely a standards compliance issue, so late in the RHEL3 release cycle.

If a customer has a real problem they were hitting due to this bug,
that would be a different issue.  This bug is purely being reported
because of a failure during the TAHI ipv6 compliance tests, and I do not
consider that a strong enough basis for inclusion this late in the product
life cycle.

We really need to draw the line somewhere.

Comment 12 Ernie Petrides 2005-10-05 20:49:55 EDT
Closing as WONTFIX in light of last comment.

Note You need to log in before you can comment on or make changes to this bug.